services:
  livekit-server:
    image: livekit/livekit-server:latest
    container_name: livekit-server
    restart: always
    command: --config /etc/livekit.yaml
    volumes:
      - /srv/livekit/config/livekit.yaml:/etc/livekit.yaml:ro
      - /etc/letsencrypt:/certs:ro
    network_mode: host

  lk-jwt-service:
    image: ghcr.io/element-hq/lk-jwt-service:latest
    container_name: lk-jwt-service
    restart: always
    environment:
      LIVEKIT_URL: "wss://livekit.roesrath-kleineichen.de"
      LIVEKIT_KEY: "REDACTED"
      LIVEKIT_SECRET: "REDACTED"
      LIVEKIT_FULL_ACCESS_HOMESERVERS: "matrix.roesrath-kleineichen.de"
    ports:
      - "127.0.0.1:8011:8080"
